SET FrameworkVersion=v4.0.30319
SET PATH=C:\Windows\Microsoft.NET\Framework\%FrameworkVersion%;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\IDE\;C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\Tools;C:\ProgramFiles (x86)\Microsoft Visual Studio 10.0\VC\VCPackages;C:\Program Files (x86)\HTML Help Workshop;C:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;D:\Tools\SysInternals;

FOR /F %%I IN ("%0") DO SET CURRENTDIR=%%~dpI

REM tf get . /version:T /force /overwrite /recursive /all
REM if ERRORLEVEL 1 pause


SET BUILDCONFIG=Release
SET DriverName=PortIO
SET SERVICENAME32=%DriverName%32
SET SERVICENAME64=%DriverName%64

SET DDK_INC_PATH="C:\Program Files (x86)\Windows Kits\8.1\Include\km;C:\Program Files (x86)\Windows Kits\8.1\Include\shared;C:\Program Files (x86)\Windows Kits\8.1\Include\km\crt;"

robocopy . ./bin rereg.bat

REM ========= PortIOSample =================
msbuild ".\PortIOSample\PortIOSample.csproj" /p:Platform=AnyCPU;Configuration=%BUILDCONFIG% /p:OutDir=%CURRENTDIR%bin\%TARGETOS%\
if ERRORLEVEL 1 pause

SET DDK_ROOT=C:\Program Files (x86)\Windows Kits\8.1

goto Win7Build

REM =============================== Windows 2003 32/64
SETLOCAL

SET TARGETOS=win2003
SET TESTPC=win2003x86

SET DDK_LIB_PATH="%DDK_ROOT%\lib\wnet\x86"

msbuild ".\%DriverName%\%DriverName%.vcxproj" /p:PLATFORM_PREPROCESSOR=3790 /p:Platform=Win32;Configuration=%BUILDCONFIG% /p:TargetName=%SERVICENAME32% /p:OutDir=%CURRENTDIR%bin\%TARGETOS%\ /p:DDK_INC_PATH=%DDK_INC_PATH% /p:DDK_LIB_PATH=%DDK_LIB_PATH%
if ERRORLEVEL 1 pause

SET DDK_LIB_PATH="%DDK_ROOT%\lib\wnet\x64"

msbuild ".\%DriverName%\%DriverName%.vcxproj" /p:PLATFORM_PREPROCESSOR=3790 /p:Platform=x64;Configuration=%BUILDCONFIG% /p:TargetName=%SERVICENAME64% /p:OutDir=%CURRENTDIR%bin\%TARGETOS%\ /p:DDK_INC_PATH=%DDK_INC_PATH% /p:DDK_LIB_PATH=%DDK_LIB_PATH%
if ERRORLEVEL 1 pause

sc \\%TESTPC% stop "%DriverName%"
robocopy %CURRENTDIR%bin\%TARGETOS% \\%TESTPC%\d$\devicetest\%TARGETOS% /S
sc \\%TESTPC% start "%DriverName%"

ENDLOCAL

REM goto EndOfBuild

:Win7Build

REM =============================== Windows 7/2008 R2 32/64
SETLOCAL

SET TARGETOS=win7
SET TESTPC=win2008r2

SET DDK_LIB_PATH="%DDK_ROOT%\lib\win7\km\x86"

msbuild ".\%DriverName%\%DriverName%.vcxproj" /p:PLATFORM_PREPROCESSOR=7600 /p:Platform=Win32;Configuration=%BUILDCONFIG% /p:TargetName=%SERVICENAME32% /p:OutDir=%CURRENTDIR%bin\%TARGETOS%\ /p:DDK_INC_PATH=%DDK_INC_PATH% /p:DDK_LIB_PATH=%DDK_LIB_PATH%
if ERRORLEVEL 1 pause

SET DDK_LIB_PATH="%DDK_ROOT%\lib\win7\km\x64"

msbuild ".\%DriverName%\%DriverName%.vcxproj" /p:PLATFORM_PREPROCESSOR=7600 /p:Platform=x64;Configuration=%BUILDCONFIG% /p:TargetName=%SERVICENAME64% /p:OutDir=%CURRENTDIR%bin\%TARGETOS%\ /p:DDK_INC_PATH=%DDK_INC_PATH% /p:DDK_LIB_PATH=%DDK_LIB_PATH%
if ERRORLEVEL 1 pause

Signtool sign /v /sm /n "TestCert" %CURRENTDIR%bin\%TARGETOS%\%SERVICENAME32%.sys
if ERRORLEVEL 1 pause
Signtool sign /v /sm /n "TestCert" %CURRENTDIR%bin\%TARGETOS%\%SERVICENAME64%.sys
if ERRORLEVEL 1 pause

goto AfterDeployWin7

sc \\%TESTPC% stop "%SERVICENAME64%"
robocopy %CURRENTDIR%bin\%TARGETOS% \\%TESTPC%\d$\devicetest\%TARGETOS% /S
sc \\%TESTPC% start "%SERVICENAME64%"

SET TESTPC=win7x64en
sc \\%TESTPC% stop "%SERVICENAME64%"
robocopy %CURRENTDIR%bin\%TARGETOS% \\%TESTPC%\d$\devicetest\%TARGETOS% /S
sc \\%TESTPC% start "%SERVICENAME64%"

ENDLOCAL

:AfterDeployWin7



:EndOfBuild